#include <dlfcn.h>
#include <stdio.h>

void* ThisDllObj (const char *lib, const char *obj)
{
	void *handle, *res;
	handle = dlopen(lib, RTLD_LAZY + RTLD_GLOBAL);
	if (handle != NULL)
	{
		res = dlsym(handle, obj);
		if (res == NULL) fprintf(stderr, "%s not found in %s\n", obj, lib);
	}
	else
	{
		res = NULL;
		fprintf(stderr, "failed to load %s\n", lib);
	}
	return res;
}
